Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1358504

Summary: Request EPEL7 branch for gthumb
Product: [Fedora] Fedora Reporter: Orion Poplawski <orion>
Component: gthumbAssignee: Christian Krause <chkr>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 25CC: chkr, dmitry, redhat-bugzilla
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: gthumb-3.3.4-1.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-09-15 21:50:06 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Orion Poplawski 2016-07-20 20:56:59 UTC
Description of problem:

gthumb was dropped from RHEL7.  Would you be willing to maintain an EPEL7 branch? There is no webkitgtk4 at the moment, but 3.3.2-3 at least builds and seems to run okay on my machine.  Another user reports:

** (gthumb:30760): CRITICAL **: Failed to parse arguments: Unable to find suitable fbconfig for the GLX context: Failed to find any compatible fbconfigs

Current master fails to build with:

  CC       libraw_files_la-main.lo
  CC       libraw_files_la-gth-metadata-provider-raw.lo
main.c: In function '_cairo_image_surface_create_from_raw':
main.c:256:18: error: 'libraw_output_params_t' has no member named 'use_rawspeed'
  raw_data->params.use_rawspeed = TRUE;
                  ^

so probably too old a dep there.

Comment 1 Orion Poplawski 2016-07-20 22:13:17 UTC
Dropping BR LibRaw from master (and switching back to webkitgtk3) allows it to build.

Comment 2 Jan Kurik 2016-07-26 04:08:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Dmitry Butskoy 2017-02-24 23:31:12 UTC
There is an example in Nux Desktop repo:
http://li.nux.ro/download/nux/dextop/el7/SRPMS/gthumb-3.2.4-1.el7.nux.src.rpm

Comment 4 Fedora Update System 2017-09-01 03:49:07 UTC
gthumb-3.3.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a4375b711e

Comment 5 Fedora Update System 2017-09-15 21:50:06 UTC
gthumb-3.3.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.